package com.usky.fire.service;

import com.usky.common.mybatis.core.CrudService;
import com.usky.fire.domain.BaseCompany;

import java.util.List;

/**
 * <p>
 * 联网单位信息表 服务类
 * </p>
 *
 * @author JCB
 * @since 2022-08-23
 */
public interface BaseCompanyService extends CrudService<BaseCompany> {

    /**
     * 根据登录的用户查询所关联的单位下拉框
     *
     * @return
     */
    List<BaseCompany> userCompanySelect();

    /**
     * 根据单位ID查询单位下拉框
     *
     * @param companyIdList 单位ID
     * @return
     */
    List<BaseCompany> companySelect(List<String> companyIdList);
}
